#!/bin/bash

TMP=$(mktemp)
SHADOW="/etc/shadow"
PASSWD="/etc/passwd"
GROUP="/etc/group"

awk -F: '{if ($1 == "root") $2="!*!"; print $1":"$2":"$3":"$4":"$5":"$6":"$7"::"}' $SHADOW > $TMP
cp $TMP $SHADOW

rm -f $TMP

# Resetea la clave del usuario 'usuario'
echo "usuario:usuario" |  /usr/sbin/chpasswd

awk -F: '{ if($1=="sudo") $4=""; print $1":"$2":"$3":"$4}' $GROUP > $TMP
cp $TMP $GROUP
rm -f $TMP

array=($(cat /etc/passwd | cut -d":" -f1))
usuarioAdmin=$(for (( i=0; i<${#array[@]}; i++ )); do cat /etc/group |grep ${array[i]} |grep -w admin; done)
for (( i=0; i<${#array[@]}; i++ )); do cat /etc/group |grep ${array[i]} |grep -w admin; done >/dev/null 2>&1
if [ $? == 0 ]; then
sed -i "/${usuarioAdmin}/d" /etc/group
fi
adminPlusclonezilla=$(cat /etc/group |grep -w ^admin)
cat /etc/group |grep -w ^admin >/dev/null 2>&1
if [ $? == 0 ]; then
sed -i "/${adminPlusclonezilla}/d" /etc/group
fi

exit 0

